BundleTransformer.Core 1.2.1-beta

The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org. Prefix Reserved
This is a prerelease version of BundleTransformer.Core.
There is a newer version of this package available.
See the version list below for details.
dotnet add package BundleTransformer.Core --version 1.2.1-beta
NuGet\Install-Package BundleTransformer.Core -Version 1.2.1-beta
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="BundleTransformer.Core" Version="1.2.1-beta" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add BundleTransformer.Core --version 1.2.1-beta
#r "nuget: BundleTransformer.Core, 1.2.1-beta"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install BundleTransformer.Core as a Cake Addin
#addin nuget:?package=BundleTransformer.Core&version=1.2.1-beta&prerelease

// Install BundleTransformer.Core as a Cake Tool
#tool nuget:?package=BundleTransformer.Core&version=1.2.1-beta&prerelease

Bundle Transformer - a modular extension for System.Web.Optimization (aka ASP.NET Bundling and Minification). Classes CssTransformer and JsTransformer, included in the core of Bundle Transformer, implement interface IBundleTransform. They are intended to replace the standard classes CssMinify and JsMinify.

The main differences classes CssTransformer and JsTransformer from standard implementations: support for debugging (in debug mode disabled code minification), automatic removal of duplicate assets, ability to exclude unnecessary assets when adding assets from a directory, support processing of JS-files with *.debug.js extension, does not produce the re-minification of code of pre-minified assets, support  automatic transformation of relative paths to absolute in CSS-code (for CssTransformer), etc. These classes do not produce the minification of code in runtime, but this feature can be added by installing of minifier-adapter. In addition, you can also install translator-adapters that implement the translation of code on intermediate languages (LESS, Sass, SCSS and CoffeeScript).

This extension will help your web applications successfully pass a most part of the tests in YSlow.

Product Compatible and additional computed target framework versions.
.NET Framework net40 is compatible.  net403 was computed.  net45 was computed.  net451 was computed.  net452 was computed.  net46 was computed.  net461 was computed.  net462 was computed.  net463 was computed.  net47 was computed.  net471 was computed.  net472 was computed.  net48 was computed.  net481 was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (23)

Showing the top 5 NuGet packages that depend on BundleTransformer.Core:

Package Downloads
BundleTransformer.Less The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

BundleTransformer.Less contains one translator-adapter - `LessTranslator` (supports the LESS (http://lesscss.org) version 3.9.0). This adapter makes translation of LESS code to CSS code. Also contains the `LessAssetHandler` debugging HTTP handler, which is responsible for text output of translated LESS asset. BundleTransformer.Less does not support loading of plugins. As a JS engine is used the JavaScript Engine Switcher library (https://github.com/Taritsyn/JavaScriptEngineSwitcher). For correct working of this module, you need to install one of the following NuGet packages: JavaScriptEngineSwitcher.Msie (only in the Chakra JsRT modes), JavaScriptEngineSwitcher.V8 or JavaScriptEngineSwitcher.ChakraCore.

BundleTransformer.SassAndScss The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

BundleTransformer.SassAndScss contains one translator-adapter - `SassAndScssTranslator`. This adapter makes translation of Sass and SCSS code to CSS code by using the Dart Sass Host for .NET (https://github.com/Taritsyn/DartSassHost) version 1.0.10 (supports the Dart Sass (https://github.com/sass/dart-sass) version 1.69.7). Also contains the `SassAndScssAssetHandler` debugging HTTP handler, which is responsible for text output of translated Sass or SCSS asset. As a JS engine is used the JavaScript Engine Switcher library (https://github.com/Taritsyn/JavaScriptEngineSwitcher). For correct working of this module, you need to install one of the following NuGet packages: * JavaScriptEngineSwitcher.ChakraCore * JavaScriptEngineSwitcher.Jint * JavaScriptEngineSwitcher.Msie (only in the Chakra “Edge” JsRT mode) * JavaScriptEngineSwitcher.V8 After installing the packages, you will need to register the default JS engine (https://github.com/Taritsyn/JavaScriptEngineSwitcher/wiki/Registration-of-JS-engines).

BundleTransformer.MicrosoftAjax The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

BundleTransformer.MicrosoftAjax contains two minifier-adapters: `MicrosoftAjaxCssMinifier` (for minification of CSS code) and `MicrosoftAjaxJsMinifier` (for minification of JS code). These adapters perform minification by using the Microsoft Ajax Minifier (https://ajaxmin.codeplex.com).

BundleTransformer.Autoprefixer The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

BundleTransformer.Autoprefixer contains one postprocessor-adapter for postprocessing of CSS code - `AutoprefixCssPostProcessor`. This adapter makes actualization of vendor prefixes in CSS code by using the Autoprefixer Host for .NET (https://github.com/Taritsyn/AutoprefixerHost) version 3.0.32 (supports the Andrey Sitnik's Autoprefixer (https://github.com/postcss/autoprefixer) version 10.4.16.1). As a JS engine is used the JavaScript Engine Switcher library (https://github.com/Taritsyn/JavaScriptEngineSwitcher). For correct working of this module, you need to install one of the following NuGet packages: * JavaScriptEngineSwitcher.ChakraCore * JavaScriptEngineSwitcher.Jint * JavaScriptEngineSwitcher.Msie (only in the Chakra JsRT modes) * JavaScriptEngineSwitcher.V8 After installing the packages, you will need to register the default JS engine (https://github.com/Taritsyn/JavaScriptEngineSwitcher/wiki/Registration-of-JS-engines).

BundleTransformer.Yui The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

BundleTransformer.Yui contains two minifier-adapters: `YuiCssMinifier` (for minification of CSS code) and `YuiJsMinifier` (for minification of JS code). These adapters perform minification by using the YUI Compressor for .NET (https://github.com/YUICompressor-NET/YUICompressor.NET).

GitHub repositories (4)

Showing the top 4 popular GitHub repositories that depend on BundleTransformer.Core:

Repository Stars
stride3d/stride
Stride Game Engine (formerly Xenko)
smartstore/SmartStoreNET
Open Source ASP.NET MVC Enterprise eCommerce Shopping Cart Solution
Taritsyn/WebMarkupMin
The Web Markup Minifier (abbreviated WebMarkupMin) - a .NET library that contains a set of markup minifiers. The objective of this project is to improve the performance of web applications by reducing the size of HTML, XHTML and XML code.
levibotelho/LearnAngular
The open source code repository for LearnAngular.
Version Downloads Last updated
1.10.0 1,004,088 12/26/2018
1.10.0-beta1 9,133 12/10/2018
1.9.213 114,362 10/2/2018
1.9.171 387,719 8/29/2017
1.9.171-beta1 2,164 8/25/2017
1.9.160 283,832 6/15/2017
1.9.152 119,575 3/3/2017
1.9.138 121,699 12/10/2016
1.9.92 361,072 3/8/2016
1.9.92-beta1 5,997 3/2/2016
1.9.92-alpha1 12,514 1/19/2016
1.9.89 139,204 12/20/2015
1.9.81 63,397 11/11/2015
1.9.81-beta1 2,430 11/4/2015
1.9.69 241,105 7/22/2015
1.9.52 188,806 3/30/2015
1.9.51 3,222 3/28/2015
1.9.43 116,996 1/31/2015
1.9.40 23,682 1/19/2015
1.9.39 3,888 1/18/2015
1.9.35 94,575 12/21/2014
1.9.34 12,088 12/19/2014
1.9.32 21,567 12/1/2014
1.9.30 59,019 11/24/2014
1.9.25 71,770 10/14/2014
1.9.24 5,123 10/8/2014
1.9.22 31,248 9/23/2014
1.9.13 84,461 8/7/2014
1.9.11 22,799 7/28/2014
1.9.5 16,309 6/30/2014
1.9.3 4,550 6/28/2014
1.9.2 3,251 6/26/2014
1.9.1 11,541 6/25/2014
1.9.0 13,012 6/23/2014
1.9.0-Beta3 5,719 6/21/2014
1.9.0-Beta2 3,734 6/16/2014
1.9.0-Beta1 5,524 6/13/2014
1.8.32 81,447 5/14/2014
1.8.30 18,276 4/28/2014
1.8.29 15,928 4/10/2014
1.8.23 93,930 2/21/2014
1.8.21 19,155 2/10/2014
1.8.20 20,258 2/4/2014
1.8.18 19,695 1/22/2014
1.8.17 31,933 12/7/2013
1.8.12 20,512 11/24/2013
1.8.11 36,532 11/7/2013
1.8.10 17,624 11/4/2013
1.8.9 14,702 10/25/2013
1.8.8 24,636 10/24/2013
1.8.7 11,425 10/16/2013
1.8.2 64,132 9/10/2013
1.8.0 9,026 9/5/2013
1.7.27 24,130 8/26/2013
1.7.24 10,027 8/12/2013
1.7.23 3,754 8/11/2013
1.7.21 10,230 8/4/2013
1.7.20 5,175 8/2/2013
1.7.19 11,830 7/24/2013
1.7.18 6,579 7/20/2013
1.7.16 20,221 7/11/2013
1.7.12-Beta1 10,125 6/4/2013
1.7.11-Beta1 2,602 5/29/2013
1.7.9-Beta1 5,169 5/27/2013
1.7.7-Beta1 5,475 5/3/2013
1.7.3-Beta1 3,794 4/12/2013
1.7.0-Beta1 5,601 3/19/2013
1.6.28 14,016 6/4/2013
1.6.26 11,923 5/28/2013
1.6.25 10,501 5/13/2013
1.6.24 57,563 3/6/2013
1.6.22 6,390 2/26/2013
1.6.21 3,530 2/19/2013
1.6.18 10,002 2/5/2013
1.6.17 6,547 1/23/2013
1.6.14 11,336 1/2/2013
1.6.13 11,734 12/4/2012
1.6.11 9,131 11/22/2012
1.6.10 7,718 11/17/2012
1.6.6 19,216 10/15/2012
1.6.5 7,362 10/11/2012
1.6.1 11,987 9/20/2012
1.6.0 8,474 9/12/2012
1.5.5 7,030 8/29/2012
1.5.0 50,375 8/16/2012
1.4.3-beta3 5,207 8/1/2012
1.4.2-beta3 4,498 6/23/2012
1.4.1-beta3 4,094 6/19/2012
1.4.0-beta2 4,111 6/6/2012
1.3.0-beta 4,860 5/16/2012
1.2.1-beta 4,152 4/8/2012
1.2.0-beta 4,364 4/3/2012
1.1.0-beta 4,086 3/29/2012
1.0.0-beta 3,565 3/25/2012

Added support of IntelliSense when editing settings of Bundle Transformer in the Web.config file;
From the Web.config file has been removed settings of Bundle Transformer, which are default settings;
In list of JS-files with Microsoft-style extensions appeared wildcard for version number of JS-library.